//Kreis.java                                        MM 2013

import Tools.IO.*;                              // Eingaben

/**
 * Kreisberechnungen.
 * @author Monika Meiler
 */
public class Kreis
{
/**
 * Verschiedene Kreisberechnungen,
 * Auswahl ueber ein Menue.
 */
  public static void main( String[] args)
  {
// Menue aller Berechnungen
    System.out.println();
    System.out.println( "Berechnungen am Kreis");
    System.out.println( "  Kreis         ... 1");
    System.out.println( "  Kreisring     ... 2");
    System.out.println( "  Kreissektor   ... 3");
    System.out.print  ( "  Kreissegnment ... 4");

    int eingabe = IOTools.readInteger(": ");

// Festlegen der Berechnung
    switch( eingabe)
    {
      case 1:                                      // Kreis
        double r = IOTools.readDouble( "r = ");
        System.out.println
        ( "A = " + ( Math.PI * r * r));
        System.out.println
        ( "U = " + ( 2 * Math.PI * r));
        break;
      case 2:                                  // Kreisring
        double ri = IOTools.readDouble( "r1 = ");
        double ra = IOTools.readDouble( "r2 = ");
        if( ri > ra)            // Vertausche ri und ra
        {
          double temp = ri;
          ri = ra;
          ra = temp;
        }
        System.out.println
        ( "a = " + ( ra - ri));
        System.out.println
        ( "A = " + ( Math.PI * ( ra * ra - ri * ri)));
        System.out.println
        ( "U = " + ( 2 * Math.PI * ( ri + ra)));
        break;
      case 3:                                // Kreissektor
        r = IOTools.readDouble( "r = ");
        double grad = IOTools.readDouble( "Grad = ");
        double bogen = grad * Math.PI/ 180;
        double b = r * bogen;
        System.out.println( "b = " + b);
        System.out.println( "A = " + ( b * r / 2));
        System.out.println( "U = " + ( 2 * r + b));
        break;
      case 4:                               // Kreissegment
        r = IOTools.readDouble( "r = ");
        grad = IOTools.readDouble( "Grad = ");
        bogen = grad * Math.PI/ 180;
        b = r * bogen;
        System.out.println( "b = " + b);
        double s = 2 * r * Math.sin( bogen / 2);
        System.out.println( "s = " + s);
        System.out.println
        ( "A = " +
          ( r * r / 2 * ( bogen - Math.sin( bogen))));
        System.out.println( "U = " + ( s + bogen));
        break;
      default:
        System.out.println();
        System.out.println( "Fehlerhafte Eingabe!");
    }
  }
}

/* ------------------------------------------------------*/
// Testbeispiele
/*
Kreis r = 2
A = 12.566370614359172
U = 12.566370614359172

Kreisring r1 = 2 r2 = 0
a = 2.0
A = 12.566370614359172
U = 12.566370614359172

Kreissektor r = 1 Grad = 180
b = 3.141592653589793
A = 1.5707963267948966
U = 5.141592653589793

Kreissegnment r = 1 Grad = 180
b = 3.141592653589793
s = 2.0
A = 1.5707963267948966
U = 5.141592653589793
*/
