// LottoFee.java                                    MM 2013

import Tools.IO.*;                              // Eingaben

/**
 * Lottofee 6 aus 49.
 * @author Monika Meiler
 */
public class LottoFee
{
  public static void main( String[] args)
  {
// Deklaration und Definition des Zahlenfeldes
    int[] zahlen = new int[ 6];

// Anzahl Tipps
   System.out.println( "\nLottoziehung 6 aus 49\n");
   int anzahlTipp
   = IOTools.readInteger( "Wie viele Tipps? "); 
 
   for( int tipp = 0; tipp < anzahlTipp; tipp++)
   {
// Ziehen der Zahlen
      boolean doppelt;
      for( int i = 0; i < zahlen.length; i++)
        do
        {                              // Ziehen einer Zahl
          doppelt = false;
          zahlen[ i] = (int)( Math.random() * 49 + 1);

              // Vergleich mit den bereits gezogenen Zahlen
          for( int j = 0; j < i; j++)
            if( zahlen[ j] == zahlen[i]) doppelt = true;
        } while( doppelt);

// Sortieren der Zahlen - SelectSort
      for( int i = 0; i < zahlen.length - 1; i++)
      {
        int k = i;
        for( int j = i + 1; j < zahlen.length; j++)
          if( zahlen[ k] > zahlen[ j]) k = j;
        if( i != k)
        {
          int temp = zahlen[ i];             // Vertauschen
          zahlen[ i] = zahlen[ k];
          zahlen[ k] = temp;
        }
      }

 // Zahlenausgabe
      System.out.println();
      for( int i = 0; i < zahlen.length; i++)
        System.out.print( " " + zahlen[ i]);
      System.out.println();
    }

    System.out.println( "\nZiehung beendet");
  }
}
