// Person.java                                      MM 2013

/**
 * Person, deren Vorname, Nachname, Alter.
 * @author Monika Meiler
 */
public class Person
{
/* ----------------------------------------------------- */
                                               // Attribute
/**
 * Vorname.
 */
  private String vorName = "";

/**
 * Nachname.
 */
  private String nachName = "";

/**
 * Aktuelles Alter.
 */
  private int alter = 0;

/* ----------------------------------------------------- */
                                            // set-Methoden
/**
 * Setzt Vor- und Nachnamen.
 * @param vn Vorname
 * @param nn Nachname
 */
  public void setName( String vn, String nn)
  {
    vorName = vn;
    nachName = nn;
  }

/**
 * Setzt Alter in Jahren.
 * @param jahre Alter
 */
  public void setAlter( int jahre)
  {
    alter = jahre;
  }

/* ----------------------------------------------------- */
                                        // toString-Methode
/**
 * Liest Daten einer Person.
 * @return Vorname nachname alter als String
 */
  public String toString()
  {
    String str = vorName + " " + nachName;
    str += ", " + alter + " Jahre alt.";
    return str;
  }
}
