// Pi.java                                          MM 2013

/**
 * Bestimmen von PI (Rechnergenau)
 * mittels Algorithmus von Archimedes.
 * @author Monika Meiler
 */
public class Pi
{
/**
 * Bestimmen der ersten 15 Stellen von PI
 * (Rechnergenau).
 */
  public static void main( String[] args)
  {
// Iterationsanfang
    double a = 2 * Math.sqrt( 3);
    double b = 3;
    int count = 1;

// Iteration mit Itterationszaehler
    do
    {
      a = 2 * a * b /( a + b);         // Iterationsschritt
      b = Math.sqrt( a * b);
      count++;
    } while( b != a);
// Ausgabe
    System.out.println( "\n" + count + " Schritte:");
    System.out.println( "\n Archimedes PI = " + a);
    System.out.println( "\n Math.PI       = " + Math.PI);
  }
}

/* ------------------------------------------------------*/
/* Ergebnis
   27 Schritte:
   Archimedes Pi = 3.141592653589792
   Math.Pi       = 3.141592653589793
   Datentyp doble: maximale Genauigkeit 15 Stellen
*/
