// Raviolita.java                                   MM 2013

import Tools.IO.*;                              // Eingaben

/**
 * Zylinderberechnungen fuer Konservendosen.
 * @author Monika Meiler
 */
public class Raviolita
{
/**
 * Eingabe von Umfang und Hoehe,
 * Berechnen und Ausgabe der gesuchte Dosenwerte.
 */
  public static void main( String[] args)
  {
// Variablendeklaration und Eingabe der gegebenen Werte
    double umfang = IOTools.readDouble( "Umfang: ");
    double hoehe = IOTools.readDouble( "Hoehe:  "); 

// Variablendeklaration der gesuchten Werte
    double durchmesser, bodenFlaeche, mantelFlaeche,
           gesamtFlaeche, volumen;

// Berechnung der gesuchten Werte
    durchmesser = umfang / Math.PI;
    bodenFlaeche
    = Math.PI * durchmesser * durchmesser / 4;
    mantelFlaeche = umfang * hoehe;
    gesamtFlaeche = 2 * bodenFlaeche + mantelFlaeche;
    volumen = bodenFlaeche * hoehe;

// Ausgabe der gesuchten Werte
    System.out.println
      ( "Bodendurchmesser: " + durchmesser);
    System.out.println
      ( "Bodenflaeche:     " + bodenFlaeche);
    System.out.println
      ( "Mantelflaeche:    " + mantelFlaeche);
    System.out.println
      ( "Gesamtflaeche:    " + gesamtFlaeche);
    System.out.println
      ( "Dosenvolumen:     " + volumen);
  }
}
/* ----------------------------------------------------- */
/*
 Testbeispiel Umfang: 4 Hoehe: 10
  Bodendurchmesser: 1.2732395447351628
  Bodenflaeche:     1.2732395447351628
  Mantelflaeche:    40.0
  Gesamtflaeche:    42.546479089470324
  Dosenvolumen:     12.732395447351628
*/

