// SegmentSegment.java                           MM/MH 2013

import Tools.IO.*;                              // Eingaben

/**
 * Vergroesserte Darstellung von Zahlen.
 * @author Monika Meiler
 */
public class SiebenSegment
{
/**
 * Zahleneingabe und Darstellung.
 */
  public static void main(String[] args)
  {
    System.out.println
    ( "Dieses Programm erstellt aus einer eingegebenen");
    System.out.println
    ( "Zahl die einzelnen Ziffern im 7-Segment-System.");

    char weiter = 'j';
    do
    {
// Zahl eingeben
      int zahl = IOTools.readInteger( "Zahl eingeben: ");

// Zahl umdrehen: m
      int n = zahl, m = 0, r;
      do
      {
        r = n % 10;
        m = m * 10 + r;
        n /= 10;
      } while( n != 0);

// Jede Ziffer wird einzeln dargestellt.
      do
      {
        r = m % 10;
        m /= 10;

// Fallunterscheidung
        switch( r)
        {
          case 0: {
                    System.out.println(
                    " ### \n#   #\n#   #\n#   #\n ### \n");
                    break;
                  }

          case 1: {
                    System.out.println(
                    "    #\n    #\n    #\n    #\n    #\n");
                    break;
                  }

          case 2: {
                    System.out.println(
                    "#####\n    #\n#####\n#    \n#####\n");
                    break;
                  }

          case 3: {
                    System.out.println(
                    "#####\n    #\n#####\n    #\n#####\n");
                    break;
                  }

          case 4: {
                    System.out.println(
                    "#   #\n#   #\n#####\n    #\n    #\n");
                    break;
                  }

          case 5: {
                    System.out.println(
                    "#####\n#    \n#####\n    #\n#####\n");
                    break;
                  }

          case 6: {
                    System.out.println(
                    "#####\n#\n#####\n#   #\n#####\n");
                    break;
                  }

          case 7: {
                    System.out.println(
                    "#####\n    #\n    #\n    #\n    #\n");
                    break;
                  }

          case 8: {
                    System.out.println(
                    "#####\n#   #\n#####\n#   #\n#####\n");
                    break;
                  }

          case 9: {
                    System.out.println(
                    "#####\n#   #\n#####\n    #\n#####\n");
                    break;
                  }

          default: System.out.println( "Fehlerhafte Eingabe");
        }
      } while( m != 0);

      weiter = IOTools.readChar("Weiter j/n ?");
    }
    while( weiter == 'j');
  }
}
