// Vektor.java                                      MM 2013

import Tools.IO.*;                              // Eingaben

/**
 * Sortieren eines Vektors mittels SelectSort.
 * @author Monika Meiler
 */
public class Vektor
{
/**
 * Eingabe, Sortieren und Ausgabe eines Vektors.
 */
  public static void main( String[] args)
  {
// Deklaration und Definition
    float[] vektor
    = new float[ IOTools.readInteger( "Anzahl Werte: ")];

// Vektoreingabe
    for( int i = 0; i < vektor.length; i++)
      vektor[ i]
      = IOTools.readFloat( "v[" + i + "] = ");


// Sortieren mit SelectSort
    for( int i = 0; i < vektor.length - 1; i++)
    {
      int k = i;                           // Suche Minimum
      for( int j = i + 1; j < vektor.length; j++)
        if( vektor[ k] > vektor[ j]) k = j;

      if( i != k)                             // Vertausche
      {
        float temp = vektor[ i];
        vektor[ i] = vektor[ k];
        vektor[ k] = temp;
      }
    }

// Vektorausgabe
    for( int i = 0; i < vektor.length; i++)
      System.out.print( "  " + vektor[ i]);

    System.out.println();
  }
}
