//ZahlWort.java                                     MM 2013

import Tools.IO.*;                              // Eingaben

/**
 * Dieses Programm bildet Zahlwoerter
 * unter Verwendung konstanter Felder.
 * @author Monika Meiler
 */
public class ZahlWort
{
  public static void main( String[] args)
  {                              // benannte Feldkonstanten
    final String[] hunderter =
    { "", "Ein", "Zwei", "Drei", "Vier", "Fuenf",
      "Sechs", "Sieben", "Acht", "Neun"};
    final String[] zehner =
    { "", "zehn", "zwanzig", "dreiszig", "vierzig",
      "fuenfzig", "sechzig", "siebzig", "achtzig",
      "neunzig"};
    final String[] einer =
    { "", "ein", "zwei", "drei", "vier", "fuenf",
      "sechs", "sieben", "acht", "neun"};

    int n = IOTools.readInteger
            ( "Eingabe Zahl zwischen 100 und 999: ");

    System.out.print( hunderter[ n / 100]);    // Hunderter
    System.out.print( "hundert");

    switch( n % 100)                                // Rest
    {
      case  1: System.out.print( "eins"); break;
      case 11: System.out.print( "elf"); break;
      case 12: System.out.print( "zwoelf"); break;
      case 16: System.out.print( "sechzehn"); break;
      case 17: System.out.print( "siebzehn"); break;
      default:
        System.out.print( einer[ n % 10]);         // Einer
        if( n % 100 / 10 > 1) System.out.print( "und");
                                                   //Zehner
        System.out.print( zehner[ n % 100 / 10]);

    }
    System.out.println( "");
  }
}