// DatumOOPTest.java                                MM 2013
import Tools.IO.*;                              // Eingaben

/**
 * Testprogramm zur Klasse Datum.
 * @author Monika Meiler
 */
public class DatumOOPTest
{
/**
 * Wiederholte Datumseingabe und Test auf Korrektheit.
 */
  public static void main( String[] args)
  {
// Datum
    DatumOOP datum = new DatumOOP();

    char weiter = 'j';
    do
    {
      // Datumseingabe
      System.out.print( "Datumseingabe tt mm jjjj: ");
      int tag = IOTools.readInteger();
      int monat = IOTools.readInteger();
      int jahr = IOTools.readInteger();
      if( jahr < 100) jahr += 2000;

      // Verarbeitung und Ausgabe
      boolean richtig
      = datum.setDatum( tag, monat, jahr);
      if( richtig)System.out.println( datum);
      else System.out.println( "FEHLER: Datum falsch!");

      // Weiter
      weiter = IOTools.readChar( "Weiter(j/n)? ");
    }while( weiter == 'j');
  }
}

/* ----------------------------------------------------- */

/*
   Testbeispiel 1: 15.12.2007
                   kein Schaltjahr (Samstag)
   Testbeispiel 2: 15.12.2008
                   Schaltjahr (Montag)
   Testbeispiel 3: 15.13.2008
                   falsches Datum
*/
