//LinGleichung.java                                 MM 2013
import Tools.IO.*;                              // Eingaben

/**
 * Berechnen einer linearen Gleichung.
 * @author Monika Meiler
 */
public class LinGleichung
{
/**
 * Eingabe der Parameter, Berechnung und Ausgabe.
 */
  public static void main( String[] args)
  {
// Eingabe der Parameter a und b
    System.out.println( "Berechne ax + b = 0");

    double a = IOTools.readDouble( "a = ");
    double b = IOTools.readDouble( "b = ");

// Ausgabe der linearen Gleichung
    System.out.println( a + "x" + " + " + b + " = 0");

// Berechnung und Ausgabe der Loesung
    if( a == 0)
      if( b == 0)              // unendlich viele Loesungen
        System.out.println("L = R");
      else                                 // keine Loesung
        System.out.println("L = {}");
    else                                    // eine Loesung
        System.out.println("L = {" + -b/a + "}");
  }
}

/* ----------------------------------------------------- */
/* Testbeispiel 3.0x + 4.0 = 0
   L = {-1.3333333333333333}

   Testbeispiel 3.0x + 0.0 = 0
   L = {-0.0} !!!

   Testbeispiel 0.0x + 2.0 = 0
   L = {}

   Testbeispiel 0.0x + 0.0 = 0
   L = R
*/
